Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class PropertyBundleDefinition

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObjectDefinition

            |

            +--oracle.ifs.beans.PublicObjectDefinition

                  |

                  +--oracle.ifs.beans.ApplicationObjectDefinition

                        |

                        +--oracle.ifs.beans.PropertyBundleDefinition

Direct Known Subclasses:
  PolicyPropertyBundleDefinition, ValueDefaultPropertyBundleDefinition, ValueDomainPropertyBundleDefinition

public class PropertyBundleDefinition
extends ApplicationObjectDefinition

A `PropertyBundleDefinition` class is used to create or update a PropertyBundle.

Most of the specifications can be set using the setAttribute() method inherited from LibraryObjectDefinition. Only the methods used to add Property objects to the new or updated PropertyBundle require methods specific to this class.

See Also:
  `LibraryObjectDefinition`, `PropertyBundle`, `PropertyDefinition`

Constructor Summary
`PropertyBundleDefinition(LibrarySession session)` Constructs a PropertyBundleDefinition explicitly capturing the session.

Method Summary
`void` | `addPropertyDefinition(PropertyDefinition def)` Adds a Property to the new PropertyBundle.
`void` | `addPropertyValue(AttributeValue av)` Adds a Property Value to the new PropertyBundle.
`void` | `addPropertyValue(java.lang.String name, AttributeValue av)` Adds a Property Value to the new PropertyBundle.
`PropertyDefinition[]` | `getPropertyDefinitions()` Gets all PropertyDefinition in the PropertyBundleDefinition.
`void` | `resetPropertyDefinitions()` Clears any PropertyDefinition previously added to this PropertyBundleDefinition.

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`addCategoryDefinition, getAddToFolderOption, getCategoryDefinitions, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifyDateOption, getLockForSessionOption, getSecuringPublicObject, getUnlockForSessionOption, setAddToFolderOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifyDateOption, setLockForSessionOption, setSecuringPublicObject, setUnlockForSessionOption`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`clone, getAttribute, getAttributes, getClassObject, getOption, getOptionKeys, removeAttribute, removeOption, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributes, setClassObject, setOption`

Constructor Detail

### PropertyBundleDefinition

    public PropertyBundleDefinition(LibrarySession session)
                             throws IfsException

  Constructs a PropertyBundleDefinition explicitly capturing the session.
  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails

Method Detail

### addPropertyValue

    public void addPropertyValue(AttributeValue av)
                          throws IfsException

  Adds a Property Value to the new PropertyBundle.

  This results in the creation of a PropertyDefintion, which gets added to the list of Properties to create.

  Parameters:
    `av` - the AttributeValue representing the Property value
  Throws:
    `IfsException` - if the operation fails

### addPropertyValue

    public void addPropertyValue(java.lang.String name,
                                 AttributeValue av)
                          throws IfsException

  Adds a Property Value to the new PropertyBundle.

  This results in the creation of a PropertyDefintion, which gets added to the list of Properties to create.

  Parameters:
    `name` - the Property name
    `av` - the Property value
  Throws:
    `IfsException` - if the operation fails

### addPropertyDefinition

    public final void addPropertyDefinition(PropertyDefinition def)
                                     throws IfsException

  Adds a Property to the new PropertyBundle.
  Parameters:
    `def` - the PropertyDefinition of the new Property
  Throws:
    `IfsException` - if the operation fails

### resetPropertyDefinitions

    public void resetPropertyDefinitions()
                                  throws IfsException

  Clears any PropertyDefinition previously added to this PropertyBundleDefinition.
  Throws:
    `IfsException` - if the operation fails

### getPropertyDefinitions

    public PropertyDefinition[] getPropertyDefinitions()
                                                throws IfsException

  Gets all PropertyDefinition in the PropertyBundleDefinition.
  Returns:
    array of PropertyDefinition
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD